Subject: pine -k on Digital LK501 keyboards

From: Lucio Chiappetti <[email-masked]>
Date: Tue, 27 Apr 1993 15:21:21 +0200 (MET DST)

Hello, I had the address of this list saying that some members may be able
to reply to my question.

I have a DECstation 5000 with a standard Digital LK501 keyboard (the sort
of stuff you find also on most Digital VT3xx terminal, you know, the thing
with 20 functional keys, a keypad with arrows, Find, Insert Here and alike,
and, on the extreme right an 18-key numeric keypad ... the sort of stuff
which VMS EDT uses for editing).

In general I work on the DECstation from DECterm windows (handled by
/usr/bin/dxterm, under Ultrix 4.3 and Motif/DECwindows).

I have recently installed Pine on this machine. I'd like to run it in
"pine -k" mode, having Pine function keys assigned as follows :

F1/2/3    to keypad PF1/2/3
F4/5/6    to keypad 7/8/9
F7/8/9    to keypad 4/5/6
F10/11/12 to keypad 1/2/3  

I won't mind being able also to assign the "next page" and "previous page"
keys to the Prev and Next keys in the keypad above the arrow keys

I was able to the same thing for an xterm using the following lines
in .Xdefaults, as suggested in Pine Technical Doc

Pine*VT100.translations: #override \
      <Key>KP_F1: string(0x1b) string("OP") \n\
      <Key>KP_F2: string(0x1b) string("OQ") \n\
      <Key>KP_F3: string(0x1b) string("OR") \n\
      <Key>KP_7: string(0x1b) string("OS") \n\
      <Key>KP_8: string(0x1b) string("Op") \n\
      <Key>KP_9: string(0x1b) string("Oq") \n\
      <Key>KP_4: string(0x1b) string("Or") \n\
      <Key>KP_5: string(0x1b) string("Os") \n\
      <Key>KP_6: string(0x1b) string("Ot") \n\
      <Key>KP_1: string(0x1b) string("Ou") \n\
      <Key>KP_2: string(0x1b) string("Ov") \n\
      <Key>KP_3: string(0x1b) string("Ow") \n\
      <Key>Prior: string(0x1b) string("Or") \n\
      <Key>Next: string(0x1b) string("Os") \n\
      <Key>Find: string(0x1b) string("Ow") \n

I do not know what are the resources to do the same for /usr/bin/dxterm.
Can anybody help me (please send a personal reply, I'm not a full fledged
subscriber to pine-info)

-----------------------------------------------------------------------------   
       A member of  G.ASS : Group for Astronomical Software Support             
-----------------------------------------------------------------------------   
Lucio Chiappetti - IFCTR/CNR Milano        |         U N I C U I Q U E          
via Bassini 15 - I-20133 Milano - Italy    |          System  Manager           
Internet: [email-masked]            |           FORTUNAE SUAE            
Decnet:   IFCTR::LUCIO (39610::LUCIO)      |                                    
Bitnet:   <please do not use any more>     |                                    
-----------------------------------------------------------------------------